Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.config
Class InterfaceExtensionImpl

    java.lang.Object
      org.apache.xmlbeans.impl.config.InterfaceExtensionImpl

All Implemented Interfaces:
  InterfaceExtension

    public class InterfaceExtensionImpl

extends java.lang.Object
implements InterfaceExtension

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.xmlbeans.InterfaceExtension
`InterfaceExtension.MethodSignature`

Constructor Summary
`InterfaceExtensionImpl()`

Method Summary
`boolean` | `contains(java.lang.String fullJavaName)`
`static java.lang.String` | `emitType(org.apache.xmlbeans.impl.jam.JClass cls)`
`java.lang.String` | `getInterface()` Get the fully qualified interface name.
`InterfaceExtension.MethodSignature[]` | `getMethods()` Returns an array of MethodSignature declared in the interface class.
`java.lang.String` | `getStaticHandler()` Get the fully qualified static handler class name.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InterfaceExtensionImpl

    public InterfaceExtensionImpl()

Method Detail

### emitType

    public static java.lang.String emitType(org.apache.xmlbeans.impl.jam.JClass cls)

### contains

    public boolean contains(java.lang.String fullJavaName)

### getStaticHandler

    public java.lang.String getStaticHandler()

  Description copied from interface: `InterfaceExtension`
  Get the fully qualified static handler class name.

  Specified by:
    `getStaticHandler` in interface `InterfaceExtension`

### getInterface

    public java.lang.String getInterface()

  Description copied from interface: `InterfaceExtension`
  Get the fully qualified interface name.

  Specified by:
    `getInterface` in interface `InterfaceExtension`

### getMethods

    public InterfaceExtension.MethodSignature[] getMethods()

  Description copied from interface: `InterfaceExtension`
  Returns an array of MethodSignature declared in the interface class. Possibly null if there is an error in the configuration.

  Specified by:
    `getMethods` in interface `InterfaceExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD